#!/bin/sh

name="sylpheed-claws-themes"
title="Sylpheed Claws Themes"
package="sylpheed-claws-themes"
version="20030523"
build="1"
noarch="y"
build_info="Standard build."

info="Additional themes for Sylpheed Claws."
desc="This package contains many extra themes for Sylpheed Claws
e-mail client. All the themes have been contributed by
users and put on Sylpheed Claws official website at
SourceForge."
category="addons/themes"
environment="x11"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="INSTALL,README"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://unc.dl.sourceforge.net/sourceforge/sylpheed-claws/sylpheed-iconset-$version.tar.gz

parent_package="$package"
write_info main

msg_installing

cd $src1

mkdir -p $pkg_main/usr/share/sylpheed/themes
mkdir -p $pkg_main/usr/doc/$name-$version
cp -R * $pkg_main/usr/share/sylpheed/themes
( cd $pkg_main/usr/share/sylpheed/themes
rm -f INSTALL README
chmod 644 */*
chmod 755 *
rm -f */.directory
for i in */R* */readme*; do
	mv $i $pkg_main/usr/doc/$name-$version/README.`dirname $i`
done )

make_docs

make_package main

clean_up

# $Log: sylpheed-claws-themes.builder,v $
# Revision 1.3  2003/05/25 09:09:47  swiergot
# - Build 1.
#
# Revision 1.2  2003/05/25 09:04:31  swiergot
# - Rewritten for official sylpheed-iconsets package.
# - Version 20030523.
#
# Revision 1.1  2003/02/12 17:53:42  swiergot
# - Initial release.
# - Themes grabbed on 20030211.
#
